ViennaCL - The Vienna Computing Library: tests/src/external_1.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros | Functions
external_1.cpp File Reference
`#include <iostream>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/coordinate_matrix.hpp"`
`#include "viennacl/ell_matrix.hpp"`
`#include "viennacl/fft.hpp"`
`#include "viennacl/hyb_matrix.hpp"`
`#include "viennacl/sliced_ell_matrix.hpp"`
`#include "viennacl/linalg/bicgstab.hpp"`
`#include "viennacl/linalg/bisect.hpp"`
`#include "viennacl/linalg/bisect_gpu.hpp"`
`#include "viennacl/linalg/cg.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/linalg/gmres.hpp"`
`#include "viennacl/linalg/ichol.hpp"`
`#include "viennacl/linalg/ilu.hpp"`
`#include "viennacl/linalg/inner_prod.hpp"`
`#include "viennacl/linalg/jacobi_precond.hpp"`
`#include "viennacl/linalg/norm_1.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/norm_inf.hpp"`
`#include "viennacl/linalg/norm_frobenius.hpp"`
`#include "viennacl/linalg/lanczos.hpp"`
`#include "viennacl/linalg/qr.hpp"`
`#include "viennacl/linalg/qr-method.hpp"`
`#include "viennacl/linalg/row_scaling.hpp"`
`#include "viennacl/linalg/sum.hpp"`
`#include "viennacl/linalg/tql2.hpp"`
`#include "viennacl/misc/bandwidth_reduction.hpp"`
`#include "viennacl/io/matrix_market.hpp"`
`#include "viennacl/scheduler/execute.hpp"`

Go to the source code of this file.

## Macros
#define | VIENNACL_WITH_UBLAS

## Functions
void | other_func ()
int | main ()

## Detailed Description

Test for external linkage.

Test:
  A check for the absence of external linkage (otherwise, library is not truly 'header-only')

Definition in file external_1.cpp.

## Macro Definition Documentation

#define VIENNACL_WITH_UBLAS

Definition at line 24 of file external_1.cpp.

## Function Documentation

int main | ( |  | ) |

Definition at line 92 of file external_1.cpp.

void other_func | ( |  | ) |

Definition at line 85 of file external_2.cpp.